Admin Resolve Contradiction
承認された矛盾解決案(supersede)を適用する。レビューキューで提案を確認した admin が 勝者/敗者を指定して実行する。敗者に superseded_by を設定して archived へ、勝者を active 復帰。 tenant_id は JWT から取得(リクエスト値を信用しない)。
POST
/admin/contradictions/resolveHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsonwinner_idstringrequiredloser_idsstring[]requiredResponses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/admin/contradictions/resolve" \
-H "Content-Type: application/json" \
-d '{
"winner_id": "string",
"loser_ids": [
"string"
]
}'const response = await fetch("/admin/contradictions/resolve", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"winner_id": "string",
"loser_ids": [
"string"
]
})
});import requests
response = requests.post(
"/admin/contradictions/resolve",
headers={
"Content-Type": "application/json"
},
json={
"winner_id": "string",
"loser_ids": [
"string"
]
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}